{% extends 'base.html.twig' %}
{% block body %}
    <link rel="stylesheet" type="text/css" href="{{ asset('tableau/bootstrap/css/bootstrap-grid.min.css') }}">

    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('scss/icons/font-awesome/css/font-awesome.min.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('css/animate.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('select2/select2.min.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('perfect-scrollbar/perfect-scrollbar.css') }}">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="{{ asset('tableau/css/util.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('tableau/css/main.css') }}">


    <div  class="limiter" align="center" style="margin-top: 50px;margin-bottom: 50px">
        <div class="wrap-table100">
            <div class="table100" style="margin-top: 50px">
                <h1 style="color: #00aced;">Les lunettes</h1>


                <input type="search" id="search" name="search" placeholder="search" class="form-control" style="margin-top: 50px">
                <div class="tableau">

                    <table id="table">
                        <thead class="table100-head">
                        <tr>
                            <th></th>
                            <th >Nom</th>
                            <th >Image</th>
                            <th>Description</th>
                            <th>Type</th>
                            <th>Marque</th>
                            <th>Prix</th>
                            <th>Action</th>
                            <th></th>

                        </tr>
                        </thead>
                        <tbody  align="center">
                        {% for lun in lunettes %}

                            <tr>
<td> <br></td>
                                <td>{{ lun.nom }}</td>
                                <td><img src="{{ asset('uploads/images/'~ lun.image) }}" height="100" width="100"></td>
                                <td>{{ lun.description }}</td>
                                <td>{{lun.type}}</td>
                                <td>{{ lun.marqueid.nom }} <img src="{{ asset('uploads/images/'~ lun.marqueid.image) }}" height="70" width="70"></td>
                                <td>{{  lun.prix}}</td>

                                <td style="font-size: 20px">
                                        <a href="{{ path('updatelunette',{'id':lun.id}) }}" class="fa fa-refresh"> Modifier</a>
                                    ET
                                        <a href="{{ path('deletelunette',{'id':lun.id}) }}" class="fa fa-trash"> Supprimer</a>
                                   </td>
                            </tr>
                        {% endfor %}
                        </tbody>

                    </table>
                </div>
            </div>
        </div>
    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script><script >
    $(function () {
        $("#search").keyup(function () {
            $.ajax({
                url : "{{ path('findlunette') }}",
                data : { 'search' : $(this).val() }
            }).done(function (response) {
                var tableau = $(response).find("table");
                $('.tableau').empty();
                $('.tableau').append(tableau);
            });
        });
    })
</script>
{% endblock %}